Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0034874
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] I. Performanceminorhave not tried2017-01-09 17:452017-03-15 20:18
ReporterSandrahuguetView Statuspublic 
Assigned Tocollazoandy4 
PrioritynormalResolutionfixedFixed in Version3.0PR17Q2
StatusclosedFix in branchFixed in SCM revision82d9f1cfdafd
ProjectionnoneETAnoneTarget Version
OSLinux 32 bitDatabasePostgreSQLJava version1.6.0_18
OS VersionCommunity ApplianceDatabase version8.3.9Ant version1.7.1
Product VersionSCM revision 
Review Assigned Tomarkmm82
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0034874: it is necessary to add an index in fin_payment.fin_rev_payment_id to improve the performance

DescriptionIt is necessary to add an index in fin_payment.fin_rev_payment_id to improve the performance when use

payment.getFINPaymentReversedPaymentList();
Steps To ReproduceN/A
Proposed SolutionCREATE INDEX reversepayment
  ON public.fin_payment
  USING btree
  (fin_payment_id COLLATE pg_catalog."default");
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0093274)
vmromanos (developer)
2017-01-09 17:48

Create a partial index on this column. See documentation: http://wiki.openbravo.com/wiki/Constraints_and_Triggers#Not_Null_Partial_Indexes_On_Nullable_Columns [^]
(0093612)
hgbot (developer)
2017-01-16 19:53

Repository: erp/devel/pi
Changeset: a09d6ae570dde223583290eb2e911c9640e97658
Author: Andy <collazoandy4 <at> gmail.com>
Date: Fri Jan 13 12:25:24 2017 -0500
URL: http://code.openbravo.com/erp/devel/pi/rev/a09d6ae570dde223583290eb2e911c9640e97658 [^]

Fixed issue 34874: Added an index in fin_payment.fin_rev_payment_id

Added an index in fin_payment.fin_rev_payment_id to improve the performance

---
M src-db/database/model/tables/FIN_PAYMENT.xml
---
(0093613)
markmm82 (developer)
2017-01-16 19:58

Code review + Testing OK
(0093638)
vmromanos (developer)
2017-01-17 13:50

Reopened because that solution is wrong:

1. It is not a partial index as I clearly explained in the note https://issues.openbravo.com/view.php?id=34874#c93274 [^]
2. There is no need to create a multi-column index. Just one column (FIN_REV_PAYMENT_ID) would be enough
(0093648)
hgbot (developer)
2017-01-17 16:06

Repository: erp/devel/pi
Changeset: b7dc8dff230a0ec7c8dbf2e6a6ab113d516abbe9
Author: Mark <markmm82 <at> gmail.com>
Date: Tue Jan 17 10:05:09 2017 -0500
URL: http://code.openbravo.com/erp/devel/pi/rev/b7dc8dff230a0ec7c8dbf2e6a6ab113d516abbe9 [^]

Related to issue 34874: Backed out changeset a09d6ae570dd

This patch contains an incorrect definition for the partial index, and there is no need to create a multi-column index. Just one column (FIN_REV_PAYMENT_ID) would be enough

---
M src-db/database/model/tables/FIN_PAYMENT.xml
---
(0093694)
hgbot (developer)
2017-01-18 15:40

Repository: erp/devel/pi
Changeset: 82d9f1cfdafdd5f6e3fb7542241bfff49c15554b
Author: Mark <markmm82 <at> gmail.com>
Date: Tue Jan 17 11:57:35 2017 -0500
URL: http://code.openbravo.com/erp/devel/pi/rev/82d9f1cfdafdd5f6e3fb7542241bfff49c15554b [^]

Fixed issue 34874: Added an index in fin_payment.fin_rev_payment_id

Added an index in fin_payment.fin_rev_payment_id to improve the performance

---
M src-db/database/model/tables/FIN_PAYMENT.xml
---
(0093713)
markmm82 (developer)
2017-01-18 21:21

Code review + Testing OK
(0095102)
hudsonbot (developer)
2017-03-15 20:18

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/54e102bef53e [^]
Maturity status: Test
(0095104)
hudsonbot (developer)
2017-03-15 20:18

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/54e102bef53e [^]
Maturity status: Test
(0095107)
hudsonbot (developer)
2017-03-15 20:18

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/54e102bef53e [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-01-09 17:45 Sandrahuguet New Issue
2017-01-09 17:45 Sandrahuguet Assigned To => Triage Finance
2017-01-09 17:45 Sandrahuguet Modules => Core
2017-01-09 17:45 Sandrahuguet Triggers an Emergency Pack => No
2017-01-09 17:48 vmromanos Note Added: 0093274
2017-01-09 18:50 markmm82 Assigned To Triage Finance => collazoandy4
2017-01-10 17:46 collazoandy4 Status new => scheduled
2017-01-11 16:51 Sandrahuguet Tag Attached: Performance
2017-01-16 19:53 hgbot Checkin
2017-01-16 19:53 hgbot Note Added: 0093612
2017-01-16 19:53 hgbot Status scheduled => resolved
2017-01-16 19:53 hgbot Resolution open => fixed
2017-01-16 19:53 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/a09d6ae570dde223583290eb2e911c9640e97658 [^]
2017-01-16 19:58 markmm82 Review Assigned To => markmm82
2017-01-16 19:58 markmm82 Note Added: 0093613
2017-01-16 19:58 markmm82 Status resolved => closed
2017-01-16 19:58 markmm82 Fixed in Version => 3.0PR17Q2
2017-01-17 13:50 vmromanos Note Added: 0093638
2017-01-17 13:50 vmromanos Status closed => new
2017-01-17 13:50 vmromanos Resolution fixed => open
2017-01-17 13:50 vmromanos Fixed in Version 3.0PR17Q2 =>
2017-01-17 15:10 Sandrahuguet Proposed Solution updated
2017-01-17 16:06 hgbot Checkin
2017-01-17 16:06 hgbot Note Added: 0093648
2017-01-18 11:01 lorenzofidalgo Issue Monitored: lorenzofidalgo
2017-01-18 15:40 hgbot Checkin
2017-01-18 15:40 hgbot Note Added: 0093694
2017-01-18 15:40 hgbot Status new => resolved
2017-01-18 15:40 hgbot Resolution open => fixed
2017-01-18 15:40 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/a09d6ae570dde223583290eb2e911c9640e97658 [^] => http://code.openbravo.com/erp/devel/pi/rev/82d9f1cfdafdd5f6e3fb7542241bfff49c15554b [^]
2017-01-18 21:21 markmm82 Note Added: 0093713
2017-01-18 21:21 markmm82 Status resolved => closed
2017-01-18 21:21 markmm82 Fixed in Version => 3.0PR17Q2
2017-03-15 20:18 hudsonbot Checkin
2017-03-15 20:18 hudsonbot Note Added: 0095102
2017-03-15 20:18 hudsonbot Checkin
2017-03-15 20:18 hudsonbot Note Added: 0095104
2017-03-15 20:18 hudsonbot Checkin
2017-03-15 20:18 hudsonbot Note Added: 0095107


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker